The local Hamiltonian problem plays the equivalent role of SAT in quantum complexity theory. Understanding the complexity of the intermediate case in which the constraints are quantum but all local terms in the Hamiltonian commute, is of importance for conceptual, physical and computational complexity reasons. Bravyi and Vyalyi showed in 2003 [10], using a clever application of the representation theory of C*-algebras, that if the terms in the Hamiltonian are all two-local, the problem is in NP, and the entanglement in the ground states is local. The general case remained open since then. In this paper we extend this result beyond the two-local case, to the case of three-qubit interactions. We then extend our results even further, and show that NP verification is possible for three-wise interaction between qutrits as well, as long as the interaction graph is planar and also "nearly Euclidean" in some well-defined sense. The proofs imply that in all such systems, the entanglement in the ground states is local. These extensions imply an intriguing sharp transition phenomenon in commuting Hamiltonian systems: the ground spaces of 3-local "physical" systems based on qubits and qutrits are diagonalizable by a basis whose entanglement is highly local, while even slightly more involved interactions (the particle dimensionality or the locality of the interaction is larger) already exhibit an important long-range entanglement property called Topological Order. Our results thus imply that Kitaev's celebrated Toric code construction is, in a well defined sense, optimal as a construction of Topological Order based on commuting Hamiltonians.
The local Hamiltonian problem plays the equivalent role of SAT in quantum complexity theory. Understanding the complexity of the intermediate case in which the constraints are quantum but all local terms in the Hamiltonian commute, is of importance for conceptual, physical and computational complexity reasons. Bravyi and Vyalyi showed in 2003 [10], using a clever application of the representation theory of C*-algebras, that if the terms in the Hamiltonian are all two-local, the problem is in NP, and the entanglement in the ground states is local. The general case remained open since then. In this paper we extend this result beyond the two-local case, to the case of three-qubit interactions. We then extend our results even further, and show that NP verification is possible for three-wise interaction between qutrits as well, as long as the interaction graph is planar and also "nearly Euclidean" in some well-defined sense. The proofs imply that in all such systems, the entanglement in the ground states is local. These extensions imply an intriguing sharp transition phenomenon in commuting Hamiltonian systems: the ground spaces of 3-local "physical" systems based on qubits and qutrits are diagonalizable by a basis whose entanglement is highly local, while even slightly more involved interactions (the particle dimensionality or the locality of the interaction is larger) already exhibit an important long-range entanglement property called Topological Order. Our results thus imply that Kitaev's celebrated Toric code construction is, in a well defined sense, optimal as a construction of Topological Order based on commuting Hamiltonians.
The local Hamiltonian problem plays the equivalent role of SAT in quantum complexity theory. Understanding the complexity of the intermediate case in which the constraints are quantum but all local terms in the Hamiltonian commute, is of importance for conceptual, physical and computational complexity reasons. Bravyi and Vyalyi showed in 2003, using a clever application of the representation theory of C*-algebras, that if the terms in the Hamiltonian are all two-local, the problem is in NP, and the entanglement in the ground states is local. The general case remained open since then. In this paper we extend the results of Bravyi and Vyalyi beyond the two-local case, to the case of three-qubit interactions. We then extend our results even further, and show that NP verification is possible for three-wise interaction between qutrits as well, as long as the interaction graph is embedded on a planar lattice, or more generally, Nearly Euclidean (NE). The proofs imply that in all such systems, the entanglement in the ground states is local. These extensions imply an intriguing sharp transition phenomenon in commuting Hamiltonian systems: 3-local NE systems based on qubits and qutrits cannot be used to construct Topological order, as their entanglement is local, whereas for higher dimensional qudits, or for interactions of at least 4 qudits, Topological Order is already possible, via Kitaev's Toric Code construction. We thus conclude that Kitaev's Toric Code construction is optimal for deriving topological order based on commuting Hamiltonians.
The complexity of the commuting local Hamiltonians (CLH) problem still remains a mystery after two decades of research of quantum Hamiltonian complexity; it is only known to be contained in NP for few low parameters. Of particular interest is the tightly related question of understanding whether groundstates of CLHs can be generated by efficient quantum circuits. The two problems touch upon conceptual, physical and computational questions, including the centrality of non-commutation in quantum mechanics, quantum PCP and the area law. It is natural to try to address first the more physical case of CLHs embedded on a 2D lattice but this problem too remained open, apart from some very specific cases. Here we consider a wide class of two dimensional CLH instances; these are k-local CLHs, for any constant k; they are defined on qubits set on the edges of any surface complex, where we require that this surface complex is not too far from being "Euclidean". Each vertex and each face can be associated with an arbitrary term (as long as the terms commute). We show that this class is in NP, and moreover that the groundstates have an efficient quantum circuit that prepares them. This result subsumes that of Schuch [2011] which regarded the special case of 4-local Hamiltonians on a grid with qubits, and by that it removes the mysterious feature of Schuch's proof which showed containment in NP without providing a quantum circuit for the groundstate and considerably generalizes it. We believe this work and the tools we develop make a significant step towards showing that 2D CLHs are in NP.
A major goal of quantum complexity theory is to understand which computational problems can be solved with access to certain quantum resources. The subfield of Hamiltonian complexity specifically considers computational problems that ask about properties of local Hamiltonians, which are of critical importance in quantum complexity because they can be viewed as quantum generalizations of classical constraint satisfaction problems. In this work, we study the complexity of certain restricted variants of the Quantum-k-Sat problem, a quantum analog of the NP-complete k-Sat problem. We introduce new variants of Quantum-k-Sat which place a basis restriction on the input Hamiltonian H = Σᵢ hᵢ . Each variant is defined by a fixed collection of bases B₁, . . . , Bᵣ of n-qubit space. We require that each Hamiltonian term hi must be diagonal in one of these bases. Our results resolve the complexity of certaim basis-restricted variants of Quantum-k-Sat. First we show the Quantum-6-Sat problem with Hamiltonian terms restricted to be diagonal in an X/Z mixed basis is QMA₁-complete. Second, we combine basis restriction with the restriction of commutativity, and show the following easiness result, which applies generally to higher-level quantum systems (qudits) and bases Q and R (which are real-valued and satisfy an overlap condition): The commmuting Quantum-Sat problem on qudits, where Hamiltonian terms are either diagonal in the Q basis, the R basis, or a single mixed Q/R basis, is in NP.
We present a new way of encoding a quantum computation into a three-local Hamiltonian. Our construction is novel in that it does not include any terms that induce legal-illegal clock transitions. Therefore, the weights of the terms in the Hamiltonian do not scale with the size of the problem as in previous constructions. This improves the construction by Kempe and Regev [Quantum Inf. Comput. 3, 258–264 (2003); e-print quant-ph∕0302079] who were the first to prove that three-local Hamiltonian is complete for the complexity class QMA, the quantum analog of NP. Quantum k-SAT, a restricted version of the local Hamiltonian problem using only projector terms, was introduced by Bravyi (e-print quant-ph∕0602108) as an analog of the classical k-SAT problem. Bravyi proved that quantum 4-SAT is complete for the class QMA with one-sided error (QMA1) and that quantum 2-SAT is in P. We give an encoding of a quantum circuit into a quantum 4-SAT Hamiltonian using only three-local terms. As an intermediate step to this three-local construction, we show that quantum 3-SAT for particles with dimensions 3×2×2 (a qutrit and two qubits) is QMA1 complete. The complexity of quantum 3-SAT with qubits remains an open question.
The commuting local-Hamiltonian (CLH) problem is a restriction of the local-Hamiltonian problem, in which the terms of the Hamiltonian are required to pairwise commute. A long line of work has shown that the problem lies in NP for certain families of commuting local Hamiltonians. Nevertheless, there has been no formal evidence against the possibility that the general CLH problem is QMA-complete.
CLH is complete for the complexity class QIMA, defined through quantum verifiers whose local gates commute. Therefore, CLH is QMA-complete if and only if QIMA=QMA. In this work, we introduce a classical-oracle analogue QIMAO and construct a classical oracle O such that BQPO⊆QIMAO.
Since BQPO⊆QMAO for any classical oracle O, this implies QIMAO=QMAO for our constructed oracle. Thus, our result provides relativized evidence against the possibility that the general commuting local-Hamiltonian problem is BQP-hard, and hence also against the possibility that it is QMA-complete.
We consider the entanglement properties of ground states of Hamiltonians which are sums of commuting projectors (we call these commuting projector Hamiltonians), in particular whether or not they have ``trivial" ground states, where a state is trivial if it is constructed by a local quantum circuit of bounded depth and range acting on a product state. It is known that Hamiltonians such as the toric code only have nontrivial ground states in two dimensions. Conversely, commuting projector Hamiltonians which are sums of two-body interactions have trivial ground states\cite{bv}. Using a coarse-graining procedure, this implies that any such Hamiltonian with bounded range interactions in one dimension has a trivial ground state. In this paper, we further explore the question of which Hamiltonians have trivial ground states. We define an ``interaction complex" for a Hamiltonian, which generalizes the notion of interaction graph and we show that if the interaction complex can be continuously mapped to a 1-complex using a map with bounded diameter of pre-images then the Hamiltonian has a trivial ground state assuming one technical condition on the Hamiltonians holds (this condition holds for all stabilizer Hamiltonians, and we additionally prove the result for all Hamiltonians under one assumption on the 1-complex). While this includes the cases considered by Ref.~\onlinecite{bv}, we show that it also includes a larger class of Hamiltonians whose interaction complexes cannot be coarse-grained into the case of Ref.~\onlinecite{bv} but still can be mapped continuously to a 1-complex. One motivation for this study is an approach to the quantum PCP conjecture. We note that many commonly studied interaction complexes can be mapped to a 1-complex after removing a small fraction of sites. For commuting projector Hamiltonians on such complexes, in order to find low energy trivial states for the original Hamiltonian, it would suffice to find trivial ground states for the Hamiltonian with those sites removed. Such trivial states can act as a classical witness to the existence of a low energy state. While this result applies for commuting Hamiltonians and does not necessarily apply to other Hamiltonians, it suggests that to prove a quantum PCP conjecture for commuting Hamiltonians, it is worth investigating interaction complexes which cannot be mapped to 1-complexes after removing a small fraction of points. We define this more precisely below; in some sense this generalizes the notion of an expander graph. Surprisingly, such complexes do exist as will be shown elsewhere\cite{fh}, and have useful properties in quantum coding theory.